%define         Werror_cflags %nil

%define         oname         DVDStyler
%define         srcversion    %{version}

Name:           dvdstyler
Summary:        DVD authoring application
Version:        2.9.6
Release:        %mkrel 1
#the number of times I screwed versionning...
Epoch:          1

License:        GPLv2+
Group:          Video/Utilities

URL:            http://dvdstyler.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{oname}-%{srcversion}.tar.bz2

BuildRequires:  sed
BuildRequires:  wxgtku-devel
BuildRequires:  wxsvg-devel >= 1.1.8
BuildRequires:  xmlto
BuildRequires:  zip
BuildRequires:  cdrkit-genisoimage
BuildRequires:  dvd+rw-tools
BuildRequires:  dvdauthor >= 0.7.0
BuildRequires:  imagemagick
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  jpeg-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  ffmpeg
Requires:       dvdauthor
Requires:       mjpegtools
Requires:       dvd+rw-tools
Requires:       mkisofs
Requires:       dvdisaster
Requires:       ffmpeg

%description
DVDStyler is a cross-platform free DVD authoring application for the
creation of professional-looking DVDs. It allows not only burning of
video files on DVD that can be played practically on any standalone
DVD player, but also creation of individually designed DVD menus. It
is Open Source Software and is completely free.

%prep
%setup -q -n %{oname}-%{srcversion}


#fix desktop file
%__sed -i -e 's,%{name}.png,%{name},g' data/dvdstyler.desktop

%build
%configure2_5x
%make

%install
%makeinstall_std
rm -fr %{buildroot}/%{_docdir}

desktop-file-install --vendor='' \
        --dir=%{buildroot}%{_datadir}/applications \
        --remove-category='Application' \
        --add-category='Video;AudioVideoEditing' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -size 48x48 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#remove duplicate files
rm -fr %{buildroot}/%{_libdir}/share/doc/dvdstyler/

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Mon Feb 22 2016 eatdirt <eatdirt> 1:2.9.6-1.mga5
+ Revision: 976089
- Upgrade to version 2.9.6 (mga#17762)

* Fri Nov 14 2014 akien <akien> 1:2.7.2-5.mga5
+ Revision: 797144
- Rebuild for ffmpeg 2.4

* Wed Oct 15 2014 umeabot <umeabot> 1:2.7.2-4.mga5
+ Revision: 751103
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:2.7.2-3.mga5
+ Revision: 678892
- Mageia 5 Mass Rebuild

* Thu Aug 07 2014 eatdirt <eatdirt> 1:2.7.2-2.mga5
+ Revision: 660904
- Rebuild for new libwxsvg

* Sun Jun 29 2014 bcornec <bcornec> 1:2.7.2-1.mga5
+ Revision: 641228
- Update to upstream 2.7.2

* Thu Feb 27 2014 eatdirt <eatdirt> 1:2.7-1.mga5
+ Revision: 597540
- Upgrade to version 2.7

* Sat Oct 19 2013 umeabot <umeabot> 1:2.5.2-2.mga4
+ Revision: 532499
- Mageia 4 Mass Rebuild

* Tue Aug 20 2013 fwang <fwang> 1:2.5.2-1.mga4
+ Revision: 468493
- new version 2.5.2

* Fri Aug 16 2013 eatdirt <eatdirt> 1:2.5.1-1.mga4
+ Revision: 466810
- Upgrade to version 2.5.1

* Wed Jul 17 2013 fwang <fwang> 1:2.5-1.mga4
+ Revision: 455177
- new version 2.5

* Mon Jul 15 2013 fwang <fwang> 1:2.4.3-2.mga4
+ Revision: 454459
- fix build with recent ffmpeg
- rebuild for new ffmpeg

* Fri May 24 2013 eatdirt <eatdirt> 1:2.4.3-1.mga4
+ Revision: 425676
- Upgrade to version 2.4.3

* Fri Jan 11 2013 umeabot <umeabot> 1:2.3.5-2.mga3
+ Revision: 349196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 1:2.3.5-1.mga3
+ Revision: 343142
- Upgrade to version 2.3.5

* Tue Jan 08 2013 fwang <fwang> 1:2.3.3-2.mga3
+ Revision: 341616
- rebuild for new ffmpeg

* Mon Nov 05 2012 eatdirt <eatdirt> 1:2.3.3-1.mga3
+ Revision: 314514
- Fix obsolete group
- Upgrade to version 2.3.3

* Thu Aug 30 2012 eatdirt <eatdirt> 1:2.3-1.mga3
+ Revision: 285864
- Upgrade to version 2.3

* Thu Aug 23 2012 eatdirt <eatdirt> 1:2.3-0.0.rc2.mga3
+ Revision: 283282
- Upgrade to version 2.3rc2, cleaning specfile

* Sat Jun 30 2012 colin <colin> 2.3b1-2.mga3
+ Revision: 265626
- Rebuild for new libudev major

* Sun Jun 17 2012 eatdirt <eatdirt> 2.3b1-1.mga3
+ Revision: 261166
- Upgrade to beta version 2.3 to support new ffmpeg 0.11 api

  + fwang <fwang>
    - new version 2.2
    - rebuild for new ffmpeg

* Wed Dec 14 2011 wally <wally> 2.1-0.b2.1.mga2
+ Revision: 181622
- imported package dvdstyler

